Bug 1251575 - [f23 - alpha] alpha atomic was built against rawhide tree
[f23 - alpha] alpha atomic was built against rawhide tree
Status: CLOSED NEXTRELEASE
Product: Atomic
Classification: Community
Component: ostree (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Colin Walters
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-07 14:51 EDT by Dusty Mabe
Modified: 2015-09-17 21:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-17 21:21:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dusty Mabe 2015-08-07 14:51:09 EDT
Description of problem:

The alpha atomic build [1] was built against rawhide. The builds need to be fixed so they build against the right tree.

Here is the output of a few commands:

[fedora@host-10-0-0-158 ~]$ cat /etc/ostree/remotes.d/fedora-atomic.conf
[remote "fedora-atomic"]
url=https://dl.fedoraproject.org/pub/fedora/linux/atomic/rawhide/
gpg-verify=false
[fedora@host-10-0-0-158 ~]$ rpm -q systemd
systemd-224-1.fc24.x86_64
[fedora@host-10-0-0-158 ~]$ cat /etc/redhat-release 
Fedora release 24 (Rawhide)


[1] - http://dl.fedoraproject.org/pub/alt/stage/23_Alpha_RC2/Cloud_Images/x86_64/Images/Fedora-Cloud-Atomic-23_Alpha-20150805.x86_64.qcow2
Comment 1 Lokesh Mandvekar 2015-08-07 14:57:38 EDT
Colin, you're the guy for this, right?
Comment 2 Colin Walters 2015-08-25 16:50:12 EDT
I tried to fix this in https://pagure.io/releng/pull-request/15
Comment 3 Dusty Mabe 2015-09-17 21:21:42 EDT
This is now fixed. The atomic image for F23 is building against the F23 branch.

Note You need to log in before you can comment on or make changes to this bug.